Subject: Re: hardware for the GS
From: [email-masked] (Gareth Jones)
Date: 8 Apr 1996 17:35:17 GMT
Newsgroups: comp.sys.apple2

Truman Chiu ([email-masked]) wrote:
: 	Hello all.  It's been a while since I've used my GS but I was 
: wondering if a 14.4 modem would work on my ROM1 GS?  Will it be able to 
: handle the speed?  Also does anyone know where I can get a good com program 
: for the GS?  Oh and one more thing, what was that card which allows a 
: ram card to be placed piggyback style on another to expand the total 
: memory?  Thanks Alot!

One of the better purchases I ever made for my ROM 01 GS was a Supra 
FaxModem 144LC. I am typing at 14400 bps right now.
(Well, I'm typing at about 40wpm, but you know what I mean).

I wrote up a FAQ of sorts on Telecommunications Software a long time ago 
and have sent it privately to a number of people with similar questions. 
Here it is -- I believe that it is still correct in every respect except 
that I might add that Seven Hills is planning to start beta testing 
Spectrum 3.0. They say it'll be a couple or months or more (probably 
more) before it is out.

_______________________________________________
I try to answer questions in the Apple2 Usenet groups when I can, and I 
have spent a lot of time answering the question "What telecommunications 
software can I use?" Here are my standard answers -- saved on disk for 
people like YOU <grin>.
 
You probably don't want to use any program that won't support VT-100 
emulation. That's pretty much the bottom line these days. However, if you 
have an Apple ][Plus, you may have to do the best you can with Kermit 
(which supports VT-52 on a ][Plus keyboard, but VT-100 on a IIe, //c, and 
IIgs).
 
On a IIe or //c you have the following choices: Kermit, Z.Link, Talk is 
Cheap (TIC), and ProTerm. There are others, but they are comparitively 
rare and largely unsupported. There's also something called "TimeOut 
Telecomm" that is neat because it installs itself as an extra module in 
the AppleWorks integrated program, but I don't think it supports VT-100. 
In addition, it will not work from within AppleWorks version 5.0.
 
On a GS you have all the options that the IIe and //c people have plus 
Telcom, Spectrum, and ANSITerm.
 
So, here are the programs:
 
KERMIT: This runs on any Apple II. It comes in DOS 3.3 and ProDOS 
versions. It is free. It supports Kermit and XModem file transfer 
protocols; VT52, VT100, and dumb terminal emulations. It is a little 
harder to set up and use than some other programs, but works perfectly 
well once you've done that. On a GS, remember to turn the "DCD Detect" 
option in the modem control panel OFF, or it won't work.
 
Z.Link: a ProDOS system program that requires a IIe, //c, or IIgs. $25 
Shareware. It supports XModem and YModem file transfers; VT100 and 
partial VT220 emulations. The "macro" program that comes with it is 
simple, but fine for some things, like auto-entering your password. A 
nice feature is that ALL the options are shown and set in a single screen 
display, reached by pressing Open-Apple-?. I used this program quite 
happily for a number of years, so it is probably worth a download to see 
if it meets your needs. The latest address I have for its author 
(December 1991) is:
Dave Whitney
4306 156th Ave NE #II-230
Redmond WA 98052
 
Talk is Cheap 4.0: An excellent program for the IIe, //c, or IIgs. $40. 
It requires an accelerator chip (e.g. a Zip Chip) in a IIe or //c to 
communicate over 4800 baud. With the accelerator chip, you're fine up to 
19,200 baud. It has an excellent scripting language, which was used as 
the basis for Spectrum's scripting language. (See below). File transfer 
protocols are Xmodem (various types, such as 4K xmodem and 1K xmodem) and 
Ymodem (for downloads). The manual is a good tutorial for 
telecommunications. You may be able to find an early shareware version on 
the nets or in your User Group's Library. Contact 
Don Elton
Carolina System Software
14207 Glenhurst Way, Orlando, FL 32837
or modem to (407) 858-9937 and log in as "register".
 
ProTerm 3.1: I can't talk too much about this since I haven't used it. A 
demo is available for trying out. What I CAN say is that this has been 
the most popular commercial telecommunications program available for the 
Apple II. $65 or thereabouts from Quality Computers 1-800-777-3642. The 
program supports many emulations, every file transfer protocol I know 
(including Kermit), and if you have a mouse, it'll give a mouse and 
pull-down-menus environment. If you don't have one, you won't need it.
 
Telcom: This is a recent discovery for me: a telecommunications program 
for the IIgs with Xmodem uploads and downloads, ymodem downloads, VT100 
or ProTerm Special Extended terminal emulations. It runs only on the GS, 
and uses a mouse-and-menus interface implemented on the text screen. It 
is free, because it is a never-finished commercial product. The author, 
Jawaid Bazyar, would like your comments on it. This is similar to Z.Link 
in features (except no macros), and cheaper, but GS only.
 
Spectrum: Currently this GS-only program goes for about $65 from Seven 
Hills Software. It is the ONLY GS/OS desktop program for 
telecommunications. (I.e., standard menus, the system clipboard for 
cutting and pasting, etc.). VERY strong scripting language that even 
supports sounds, icons, fonts, colours, clickable buttons (like 
HyperCard). It supports most terminal emulations, many file transfer 
protocols (e.g. Zmodem, though not Kermit. Yet). The author and publisher 
have just released version 2.0 and are committed to developing it 
further. (Can you tell that this is my current program?) There is no demo 
version.
 
ANSITerm: from Parkhurst Micro Products. Paul Parkhurst's program is 
supposedly the best colour ANSI graphics available on a GS. It supports 
macros, many file transfer protocols, and there is a demo version to try 
out. GS users only.